IdentityPropagationTrusts¶
- class oci.identity_domains.models.IdentityPropagationTrusts(**kwargs)¶
Bases:
objectThe SCIM protocol defines a standard set of query parameters that can be used to filter, sort, and paginate to return zero or more resources in a query response. Queries MAY be made against a single resource or a resource type endpoint (e.g., /Users), or the service provider Base URI.
Methods:
__init__(**kwargs)Initializes a new IdentityPropagationTrusts object with values from keyword arguments.
Attributes:
[Required] Gets the items_per_page of this IdentityPropagationTrusts.
[Required] Gets the resources of this IdentityPropagationTrusts.
[Required] Gets the schemas of this IdentityPropagationTrusts.
[Required] Gets the start_index of this IdentityPropagationTrusts.
[Required] Gets the total_results of this IdentityPropagationTrusts.
- __init__(**kwargs)¶
Initializes a new IdentityPropagationTrusts object with values from keyword arguments. The following keyword arguments are supported (corresponding to the getters/setters of this class):
- Parameters
schemas (list[str]) – The value to assign to the schemas property of this IdentityPropagationTrusts.
total_results (int) – The value to assign to the total_results property of this IdentityPropagationTrusts.
resources (list[oci.identity_domains.models.IdentityPropagationTrust]) – The value to assign to the resources property of this IdentityPropagationTrusts.
start_index (int) – The value to assign to the start_index property of this IdentityPropagationTrusts.
items_per_page (int) – The value to assign to the items_per_page property of this IdentityPropagationTrusts.
- property items_per_page¶
[Required] Gets the items_per_page of this IdentityPropagationTrusts. The number of resources returned in a list response page. REQUIRED when partial results returned due to pagination.
- Returns
The items_per_page of this IdentityPropagationTrusts.
- Return type
int
- property resources¶
[Required] Gets the resources of this IdentityPropagationTrusts. A multi-valued list of complex objects containing the requested resources. This MAY be a subset of the full set of resources if pagination is requested. REQUIRED if “totalResults” is non-zero.
- Returns
The resources of this IdentityPropagationTrusts.
- Return type
- property schemas¶
[Required] Gets the schemas of this IdentityPropagationTrusts. The schemas attribute is an array of Strings which allows introspection of the supported schema version for a SCIM representation as well any schema extensions supported by that representation. Each String value must be a unique URI. All representations of SCIM schema MUST include a non-zero value array with value(s) of the URIs supported by that representation. Duplicate values MUST NOT be included. Value order is not specified and MUST not impact behavior. REQUIRED.
- Returns
The schemas of this IdentityPropagationTrusts.
- Return type
list[str]
- property start_index¶
[Required] Gets the start_index of this IdentityPropagationTrusts. The 1-based index of the first result in the current set of list results. REQUIRED when partial results returned due to pagination.
- Returns
The start_index of this IdentityPropagationTrusts.
- Return type
int
- property total_results¶
[Required] Gets the total_results of this IdentityPropagationTrusts. The total number of results returned by the list or query operation. The value may be larger than the number of resources returned such as when returning a single page of results where multiple pages are available. REQUIRED.
- Returns
The total_results of this IdentityPropagationTrusts.
- Return type
int